Subject: Re: bug#37932: [PATCH] Support hidpi fringes and images with Cairo

From: Carlos Pita <[email-masked]>
Date: Thu, 11 Jan 2024 15:38:08 -0300

I would say that the lengthy discussions in:

- https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37689
- https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37770
- https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37755

are my only legacy. Rereading them I found some relevant remarks about
the problems I bumped into at the time.

But that's it. My apologies, I'm checking and I'm not even able to
find the fork where I had been working on this.

Why are you interested in it? Isn't it kind of obsolete now that there
is a pure GTK backend?

On Thu, Jan 11, 2024 at 3:21 PM Stefan Kangas <[email-masked]> wrote:
>
> Carlos Pita <[email-masked]> writes:
>
> > Sorry, Stefan, there is not much that I'm able to recall about this,
> > it has been many years since last time I looked at the code.
> >
> > AFAICR I bumped into a number of corner cases and hard assumptions
> > about dpi and so I concluded that the pure gtk backend was the way to
> > go.
>
> Thanks for getting back to us.  Do you think some version of your
> changes would still be worth installing, or would they need
> more work to be considered an improvement?
>
> Could you send your latest changes as a patch?